org.codehaus.plexus.component.repository

## Class ComponentDescriptor

- java.lang.Object
- - org.codehaus.plexus.component.repository.ComponentDescriptor

    public class ComponentDescriptor
    extends Object

Component instantiation description.

Version:
  $Id: ComponentDescriptor.java 1777 2005-05-03 17:39:01Z jdcasey $
Author:
  Jason van Zyl, bob mcwhirter, Michal Maczka

### Constructor Summary

Constructors
Constructor and Description
`ComponentDescriptor()`

### Method Summary

Methods
`void` `addRequirement(ComponentRequirement requirement)`
`boolean` `equals(Object other)`
`String` `getAlias()`
`String` `getComponentComposer()`
`String` `getComponentConfigurator()`
`String` `getComponentFactory()`
`String` `getComponentKey()`
`String` `getComponentProfile()`
`ComponentSetDescriptor` `getComponentSetDescriptor()`
`String` `getComponentType()`
`PlexusConfiguration` `getConfiguration()`
`List` `getDependencies()`
`String` `getDescription()`
`String` `getHumanReadableKey()`
`String` `getImplementation()`
`String` `getInstantiationStrategy()`
`String` `getLifecycleHandler()`
`List` `getRequirements()`
`String` `getRole()`
`String` `getRoleHint()`
`String` `getVersion()`
`boolean` `hasConfiguration()`
`int` `hashCode()`
`boolean` `isIsolatedRealm()`
`void` `setAlias(String alias)`
`void` `setComponentComposer(String componentComposer)`
`void` `setComponentConfigurator(String componentConfigurator)`
`void` `setComponentFactory(String componentFactory)`
`void` `setComponentProfile(String componentProfile)`
`void` `setComponentSetDescriptor(ComponentSetDescriptor componentSetDescriptor)`
`void` `setComponentType(String componentType)`
`void` `setConfiguration(PlexusConfiguration configuration)`
`void` `setDescription(String description)`
`void` `setImplementation(String implementation)`
`void` `setInstantiationStrategy(String instantiationStrategy)`
`void` `setIsolatedRealm(boolean isolatedRealm)`
`void` `setLifecycleHandler(String lifecycleHandler)`
`void` `setRole(String role)`
`void` `setRoleHint(String roleHint)`
`void` `setVersion(String version)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ComponentDescriptor

    public ComponentDescriptor()

### Method Detail

#### getComponentKey

    public String getComponentKey()

#### getHumanReadableKey

    public String getHumanReadableKey()

#### getAlias

    public String getAlias()

#### setAlias

    public void setAlias(String alias)

#### getRole

    public String getRole()

#### setRole

    public void setRole(String role)

#### getRoleHint

    public String getRoleHint()

#### setRoleHint

    public void setRoleHint(String roleHint)

#### getImplementation

    public String getImplementation()

#### setImplementation

    public void setImplementation(String implementation)

#### getVersion

    public String getVersion()

#### setVersion

    public void setVersion(String version)

#### getComponentType

    public String getComponentType()

#### setComponentType

    public void setComponentType(String componentType)

#### getInstantiationStrategy

    public String getInstantiationStrategy()

#### getConfiguration

    public PlexusConfiguration getConfiguration()

#### setConfiguration

    public void setConfiguration(PlexusConfiguration configuration)

#### hasConfiguration

    public boolean hasConfiguration()

#### getLifecycleHandler

    public String getLifecycleHandler()

#### setLifecycleHandler

    public void setLifecycleHandler(String lifecycleHandler)

#### getComponentProfile

    public String getComponentProfile()

#### setComponentProfile

    public void setComponentProfile(String componentProfile)

#### addRequirement

    public void addRequirement(ComponentRequirement requirement)

#### getRequirements

    public List getRequirements()

#### getComponentFactory

    public String getComponentFactory()

#### setComponentFactory

    public void setComponentFactory(String componentFactory)

#### getComponentComposer

    public String getComponentComposer()

#### setComponentComposer

    public void setComponentComposer(String componentComposer)

#### getDescription

    public String getDescription()

#### setDescription

    public void setDescription(String description)

#### setInstantiationStrategy

    public void setInstantiationStrategy(String instantiationStrategy)

#### isIsolatedRealm

    public boolean isIsolatedRealm()

#### setComponentSetDescriptor

    public void setComponentSetDescriptor(ComponentSetDescriptor componentSetDescriptor)

#### getComponentSetDescriptor

    public ComponentSetDescriptor getComponentSetDescriptor()

#### setIsolatedRealm

    public void setIsolatedRealm(boolean isolatedRealm)

#### getDependencies

    public List getDependencies()

#### getComponentConfigurator

    public String getComponentConfigurator()

#### setComponentConfigurator

    public void setComponentConfigurator(String componentConfigurator)

#### equals

    public boolean equals(Object other)

Overrides:
  `equals` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`